Bug 620545 - Konqueror filling .xsession-errors with debug messages
Konqueror filling .xsession-errors with debug messages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-02 15:55 EDT by Hin-Tak Leung
Modified: 2011-06-29 08:38 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 08:38:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hin-Tak Leung 2010-08-02 15:55:19 EDT
Description of problem:

${HOME}/.xsession-errors grows at about 2MB for 10 minutes, uses up a few hundreds of MB per day if one leaves konqueror running over night:

-------------------
QPainter::setClipRect: Painter not active
QPainter::font: Painter not active
QPainter::setFont: Painter not active
QPainter::setPen: Painter not active
QPainter::font: Painter not active
QPainter::setFont: Painter not active
QPainter::setPen: Painter not active
QPainter::font: Painter not active
QPainter::setFont: Painter not active
QPainter::setPen: Painter not active
...
------------------



Version-Release number of selected component (if applicable):
kdebase-4.4.5-1.fc13.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. use konqueror normally (or just leave it running).
2. watch .xsession-errors grow.
3.
  
Actual results:
.xsession-errors grows about a few hundred MB over night.

Expected results:
.xsession-errors should not grow at that rate - konqueror should not output that amount of debug info.


Additional info:
For a long time I wondered why I seem to get a few hundred MB of disk space back whenever I reboot. I just thought it is due to the usual cache'ing of file-in-use (particularly when I do yum upgrade regularly and not always reboot/re-log-in right after). 

I finally noticed how my .xsession-errors is growing and being filled when I was looking at its content for some unrelated problems with wine launched through double-clicking (when wine is launched through double-click icons, etc, debug messages go to .xsession-errors). .xsession-errors should be for error messages from GUI failing, etc, not for a few 10's MB of merely informative messages while konqueror is running correctly.
Comment 1 Kevin Kofler 2010-08-02 18:53:41 EDT
These aren't technically debug messages (qDebug), they are warnings (qWarning) which are intentionally not hidden because they should never happen, programmers are supposed to fix them. Unfortunately, there are quite some unfixed warnings in KDE. In this case it's probably the fault of the Qt/KDE widget style/theme you're using.
Comment 2 Hin-Tak Leung 2010-08-02 19:13:28 EDT
(In reply to comment #1)
> These aren't technically debug messages (qDebug), they are warnings (qWarning)
> which are intentionally not hidden because they should never happen,
> programmers are supposed to fix them. Unfortunately, there are quite some
> unfixed warnings in KDE. In this case it's probably the fault of the Qt/KDE
> widget style/theme you're using.    

"Warning" or "Debug", a few hundred MB of disk space gone if one leaves the browser open for a day or two (until a reboot/re-log-in to over-write it) is a bit of an issue :-).

I don't know if it is relevant, but I am running gnome, which may be a contributing factor if some theme- or overall- configuration under a KDE desktop is assumed. (I find it useful to use different browsers for different uses from time to time).
Comment 3 Bug Zapper 2011-06-01 08:15:39 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-29 08:38:44 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.